---
source_url: https://www.pubnub.com/docs/sdks/rest-api/check-where-user-is-present
title: Check where user is present
---

# Check where user is present

> For AI agents: documentation index at https://www.pubnub.com/llms-full.txt

Get a list of channels a user is present in.

| Path Parameters |
| --- |
| `sub_key`string—**REQUIRED**Your app's subscribe key from Admin Portal.Example: sub-c-50264475-1902-558x-d213-7p19052012n2 |
| `uuid`string—**REQUIRED**A UTF-8 encoded string of up to 92 characters used to identify the client.Example: myUniqueUserId |

| Query Parameters |
| --- |
| `auth`stringString which is either the auth key (Access Manager legacy) or a valid token (Access Manager) used to authorize the operation if access control is enabled.Example: myAuthKey |
| `callback`stringThe JSONP callback name to wrap the function in.Example: myCallback |
| `signature`stringSignature used to verify that the request was signed with the secret key associated with the subscribe key.If Access Manager is enabled, either a valid authorization token or a signature are required. Check Access Manager documentation for details on how to compute the signature. |
| `timestamp`integerUnix epoch timestamp used as a nonce for signature computation. Must have no more than ± 60 seconds offset from NTP. Required if signature parameter is supplied. |

| Responses |
| --- |
| `200`SuccessSchema — OPTIONALstatus integer — OPTIONALmessage string — OPTIONALpayload object — OPTIONALchannels string[] — OPTIONALservice string — OPTIONAL | Schema—**OPTIONAL** | `status`integer—**OPTIONAL** | `message`string—**OPTIONAL** | `payload`object—**OPTIONAL**channels string[] — OPTIONAL | `channels`string[]—**OPTIONAL** | `service`string—**OPTIONAL** |
| Schema—**OPTIONAL** |
| `status`integer—**OPTIONAL** |
| `message`string—**OPTIONAL** |
| `payload`object—**OPTIONAL**channels string[] — OPTIONAL | `channels`string[]—**OPTIONAL** |
| `channels`string[]—**OPTIONAL** |
| `service`string—**OPTIONAL** |

sub_key
*
Type:
string
Your app's subscribe key from
[Admin Portal](https://admin.pubnub.com)
.
uuid
*
Type:
string
A UTF-8 encoded string of up to 92 characters used to
[identify the client](https://www.pubnub.com/docs/architecture/core-concepts.md)
.
auth
Type:
string
String which is either the auth key (Access Manager legacy) or a valid token (
[Access Manager](https://www.pubnub.com/docs/security/access-control/overview.md)
) used to authorize the operation if access control is enabled.
callback
Type:
string
The JSONP callback name to wrap the function in.
signature
Type:
string
Signature used to verify that the request was signed with the secret key associated with the subscribe key.

If Access Manager is enabled, either a valid authorization token or a signature are required.

Check
[Access Manager documentation](https://www.pubnub.com/docs/sdks/rest-api/access-manager-introduction.md)
for details on how to compute the signature.
timestamp
Type:
integer
Unix epoch timestamp used as a nonce for signature computation. Must have no more than ± 60 seconds offset from NTP.

Required if
signature
parameter is supplied.
status
Type:
integer
message
Type:
string
payload
Type:
object
service
Type:
string
Example Response

```
{
  "status": 200,
  "message": "OK",
  "payload": {
    "channels": [
      "my-channel"
    ]
  },
  "service": "Presence"
}
```
